Subject: APPN DLUR-3a draft spec available; DLUR-1 deleted

From: "Ed Tremblay (254-5515)" <[email-masked]>
Date: Mon, 22 Nov 93 14:55:58 EST

The DLUR architecture document has been updated and is available by
anonymous FTP to ibmstandards.cary.ibm.com under the name of
aiw/sig/dlur/dlur3a.psbin - the file is a PostScript file, but treat it
as binary when you get it and print it.

I ran out of space trying to store dlur3a, so I deleted dlur1.  I still
have a copy of it if anyone needs it.

The items added in DLUR-3a are:

   1) added limited DLUR ANS support (only ANS=STOP supported)

      A question was raised about what to do when the DLUS sends
      an ACTPU with ANS=CONT indicated in the CV43 to a DLUR which does
      not support ANS=CONT (only supports ANS=STOP).

      I STRONGLY recommend that DLUR implementations support ANS=CONT
      as well as ANS=STOP.  However, for those who only want to support
      ANS=STOP, the following changes have been made:

      a) defined a new capability bit in CV51 with

         0 = full DLUR Auto Network Shutdown support

         1 = limited DLUR Auto Network Shutdown support (ANS=STOP only)

      b) when DLUS builds an ACTPU, it will check ANS defined value
         against DLUR ANS capability:

            PU ANS      DLUR ANS
          definition   capability            DLUS action

             STOP         CONT     set CV43 indicator to STOP
             STOP         STOP     set CV43 indicator to STOP
             CONT         CONT     set CV43 indicator to CONT
             CONT         STOP     set CV43 indicator to STOP

      c) made it clear(er) that when CP-SVR pipe is lost, SSCP-PU/LU
         sessions are lost and ANS is invoked at DLUR; if ANS=STOP, it
         is the responsibility of the DLUR BF to kill the active and
         pending LU-LU sessions served by the lost SSCP-PU/LU sessions

   2) added SSCP-PU session deactivation race (DACTPU/REQDACTPU) to the
      Single DLUS Race Conditions section

      (described in my previous note announcing availability of DLUR-3)

   3) removed subvector X'80' from CV X'46' when it is included in a
      GDS X'1500'

      A question was raised about the proper values to encode in
      a CV4680 when the CV46 is used to carry signalling information
      (CV4691-46F0) for a BF link connecting a DLUR to a downstream PU.

      Just zeroing out all the values is not enough since that sets
      the TG type indicator to "APPN TG", which it isn't.  Creating a
      new type for the BF link is not enough since there are other
      fields, like TG number, which are not valid for the link.

      The format for CV46 will be changed so that

          X'80'  TG Identifier subfield (always present)

      will become

          X'80'  TG Identifier subfield (present unless the control
                 vector is included in a FID2 Encapsulation (X'1500')
                 GDS variable)

I'm requesting comments on these items to be received no later than
December 8.  If there is a consensus for approval at that time, I will
consider these items to be at AD status as of December 9.

I'm going to start work on DLUR-3b with a projected availability date
somewhere in early January (I'll be at work less than three weeks the
rest of 1993).

Ed Tremblay